package com.chushang.task.enums;

import com.chushang.common.core.constant.ServiceConstant;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @auther: zhao
 * @date: 2024/6/11 10:01
 */
@Getter
@AllArgsConstructor
public enum ServiceEnum {
    /**
     * 系统
     */
    SYSTEM(ServiceConstant.SYSTEM),
    /**
     * 授权
     */
    AUTH(ServiceConstant.AUTH),
    /**
     * 文件
     */
    OSS(ServiceConstant.OSS),
    /**
     * 工单
     */
    INSPECTION(ServiceConstant.INSPECTION),
    /**
     * 后台任务
     */
    TASK(ServiceConstant.TASK),
    ;
    private final String serviceName;
}
